%define anolis_release 4

Name:           libtimezonemap
Version:        0.4.5.2
Release:        %{anolis_release}%{?dist}
Summary:        Time zone map widget for Gtk+
License:        GPLv3
URL:            https://github.com/dashea/timezonemap
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  glib2-devel >= 2.26 gtk3-devel >= 3.1.4 json-glib-devel
BuildRequires:  gobject-introspection-devel gnome-common
BuildRequires:  libsoup-devel >= 2.42.0 librsvg2-devel make

%description
libtimezonemap is a time zone map widget for Gtk+. The widget displays a world
map with a highlighted region representing the selected time zone, and the
location can be changed by clicking on the map.

This library is a fork of the of the code from gnome-control-center's datetime
panel, which was itself a fork of Ubiquity's timezone map.

This static library is a copied version of the code in GNOME 3.0's control center
panel 'datetime', which itself is a version of Ubiquity's map ported to C.

Ideally in the future, we can have all three packages using the same code.
But for now, for time reasons (hah), it's just a copy.

To update this copy, put newer versions of the code and data files in place;
then fix up any GTK3-isms and add cc_timezone_map_set_coords and friends.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description devel
libtimezonemap is a time zone map widget for Gtk+. This package contains header
files used for building applications that use %{name}.

%prep
%autosetup -p1 -n timezonemap-%{version}

%build
%ifarch sw_64
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/lib
%endif
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/TimezoneMap-1.0.typelib
%{_datadir}/%{name}
%{abidir}/%{name}.dump

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/timezonemap.pc
%{_includedir}/timezonemap
%{_datadir}/gir-1.0/TimezoneMap-1.0.gir
%{_datadir}/glade/catalogs/TimezoneMap.xml

%files doc
%doc README TODO

%changelog
* Mon Mar 31 2025 fenghui <fenghui@nfschina.com> - 0.4.5.2-4
- arch: Support sw_64 arch

* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.4.5.2-3
- optimize spec

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.4.5.2-2
- optimize spec

* Tue Sep 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5.2-1
- update to 0.4.5.2

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5.1-1
- Init from upstream version 0.4.5.1

